# About this Document

[**Software Installation Guide Table of Contents**](ig_TOC.md)

**In this Chapter:**

- [About this Document](#about-this-document)
- [Document Purpose](#document-purpose)
- [Intended Audience](#intended-audience)
- [Conventions Used](#conventions-used)
- [Related Documentation](#related-documentation)

## Document Purpose

This document provides detailed instructions for installing Integrated Manager for Lustre software. This document:

- Introduces Integrated Manager for Lustre software and its capabilities

- Introduces Integrated Manager for Lustre software and its
  capabilities to configure and support real-time management of
  Lustre file systems, using a GUI-based dashboard

- Provides detailed instructions about how to configure the components
  to create a file system that meets the High Availability
  Configuration Specification (discussed herein). Conformance with
  this specification permits configuration, monitoring, and
  management of the Lustre file system using the Integrated Manager for Lustre software.

- Describes the pre-installation tasks such as configuring servers,
  establishing yum repositories, configuring LNET, and also
  discusses Linux\* kernel considerations

- Describes how to install Integrated Manager for Lustre software

- Describes how to configure Integrated Manager for Lustre software

- Describes how to add storage servers to the Lustre file system

- Provides troubleshooting information

## Intended Audience

This guide is intended for users who are designing storage solutions
based on Integrated Manager for Lustre software.

Readers are assumed to be full-time Linux system administrators or equivalent who
have:

- experience administering file systems and are familiar with storage
  components such as block storage, SAN, and LVM

- Proficiency in setting up, administering and maintaining networks.
  Knowledge of LNET is required. Knowledge of InfiniBand\* is required
  if InfiniBand is to be used.

- Detailed knowledge of the overall configuration of the storage
  system and the ability to verify that the configuration matches the
  configuration requirements as defined in this guide.

This document is _not intended for end users_ of storage solutions
implemented using the Integrated Manager for Lustre software.

## Conventions Used

Conventions used in this document include:

- \# preceding a command indicates the command is to be entered as
  root

- \$ indicates a command is to be entered as a user

- _&lt;variable_name&gt;_ indicates the placeholder text that appears
  between the angle brackets is to be replaced with an appropriate
  value

[Top of page](#about-this-document)
